Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5117)
@@ -25,5 +25,5 @@
   USE mod_hallo
   USE write_field_loc, ONLY: WriteField_u, WriteField_v
-  USE VAMPIR
+  USE lmdz_vampir
   ! CRisi: on rajoute variables utiles d'infotrac
   USE infotrac, ONLY: nqtot, tracers, isoCheck
@@ -97,6 +97,6 @@
   ijb = ij_begin - iip1
   ije = ij_end + iip1
-  if (pole_nord) ijb = ij_begin
-  if (pole_sud) ije = ij_end
+  IF (pole_nord) ijb = ij_begin
+  IF (pole_sud) ije = ij_end
 
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -124,6 +124,6 @@
   ijb = ij_begin
   ije = ij_end
-  if (pole_nord) ijb = ijb + iip1
-  if (pole_sud)  ije = ije - iip1
+  IF (pole_nord) ijb = ijb + iip1
+  IF (pole_sud)  ije = ije - iip1
 
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -137,6 +137,6 @@
   ijb = ij_begin - iip1
   ije = ij_end
-  if (pole_nord) ijb = ij_begin
-  if (pole_sud)  ije = ij_end - iip1
+  IF (pole_nord) ijb = ij_begin
+  IF (pole_sud)  ije = ij_end - iip1
 
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -253,6 +253,6 @@
   ijb = ij_begin - 2 * iip1
   ije = ij_end + 2 * iip1
-  if (pole_nord) ijb = ij_begin
-  if (pole_sud)  ije = ij_end
+  IF (pole_nord) ijb = ij_begin
+  IF (pole_sud)  ije = ij_end
   CALL check_isotopes(zq, ij_begin, ij_end, 'vlspltgen_loc 280')
 
@@ -290,6 +290,6 @@
     ijb = ij_begin - 2 * iip1
     ije = ij_end + 2 * iip1
-    if (pole_nord) ijb = ij_begin
-    if (pole_sud)  ije = ij_end
+    IF (pole_nord) ijb = ij_begin
+    IF (pole_sud)  ije = ij_end
     CALL check_isotopes(zq, ijb, ije, 'vlspltgen_loc 336')
   END IF
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90	(revision 5117)
@@ -59,6 +59,6 @@
   ije=ije_x
 
-  if (pole_nord.and.ijb==1) ijb=ijb+iip1
-  if (pole_sud.and.ije==ip1jmp1)  ije=ije-iip1
+  IF (pole_nord.AND.ijb==1) ijb=ijb+iip1
+  IF (pole_sud.AND.ije==ip1jmp1)  ije=ije-iip1
 
   IF (pente_max>-1.e-5) THEN
@@ -157,5 +157,5 @@
 !$OMP END DO NOWAIT
 
-  if (pole_nord) THEN
+  IF (pole_nord) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,llm
@@ -163,7 +163,7 @@
     ENDDO
 !$OMP END DO NOWAIT
-  endif
-
-  if (pole_sud)  THEN
+  ENDIF
+
+  IF (pole_sud)  THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,llm
@@ -171,5 +171,5 @@
     ENDDO
 !$OMP END DO NOWAIT
-  endif
+  ENDIF
 
   !   calcul des flux a gauche et a droite
@@ -247,5 +247,5 @@
   !   indicage des mailles concernees par le traitement special
            DO ij=ijb,ije
-              IF(iadvplus(ij,l)==1.and.mod(ij,iip1)/=0) THEN
+              IF(iadvplus(ij,l)==1.AND.mod(ij,iip1)/=0) THEN
                  iju=iju+1
                  indu(iju)=ij
@@ -319,5 +319,5 @@
         !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masse(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
-        if (q(ij,l,iq)>min_qParent) then ! modif 13 nov 2020
+        IF (q(ij,l,iq)>min_qParent) then ! modif 13 nov 2020
           Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
         else
@@ -448,12 +448,12 @@
   ijb=ij_begin-2*iip1
   ije=ij_end+2*iip1
-  if (pole_nord) ijb=ij_begin
-  if (pole_sud)  ije=ij_end
+  IF (pole_nord) ijb=ij_begin
+  IF (pole_sud)  ije=ij_end
   ij=3525
   l=3
-  if ((ij>=ijb).and.(ij<=ije)) THEN
+  IF ((ij>=ijb).AND.(ij<=ije)) THEN
     !WRITE(*,*) 'vlyqs 480: ij,l,iq,ijb,q(ij,l,:)=',
   ! &             ij,l,iq,ijb,q(ij,l,:)
-  endif
+  ENDIF
 
   IF(first) THEN
@@ -488,17 +488,17 @@
   !    le pole nord) qui sera utilisee pour evaluer les pentes au pole.
 
-  if (pole_nord) THEN
+  IF (pole_nord) THEN
     DO i = 1, iim
       airescb(i) = aire(i+ iip1) * q(i+ iip1,l,iq)
     ENDDO
     qpns   = SSUM( iim,  airescb ,1 ) / airej2
-  endif
-
-  if (pole_sud) THEN
+  ENDIF
+
+  IF (pole_sud) THEN
     DO i = 1, iim
       airesch(i) = aire(i+ ip1jm- iip1) * q(i+ ip1jm- iip1,l,iq)
     ENDDO
     qpsn   = SSUM( iim,  airesch ,1 ) / airejjm
-  endif
+  ENDIF
 
 
@@ -507,6 +507,6 @@
   ijb=ij_begin-2*iip1
   ije=ij_end+iip1
-  if (pole_nord) ijb=ij_begin
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin
+  IF (pole_sud)  ije=ij_end-iip1
 
   DO ij=ijb,ije
@@ -520,6 +520,6 @@
   ijb=ij_begin-iip1
   ije=ij_end+iip1
-  if (pole_nord) ijb=ij_begin+iip1
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin+iip1
+  IF (pole_sud)  ije=ij_end-iip1
 
   DO ij=ijb,ije
@@ -664,6 +664,6 @@
   ijb=ij_begin-iip1
   ije=ij_end+iip1
-  if (pole_nord) ijb=ij_begin+iip1
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin+iip1
+  IF (pole_sud)  ije=ij_end-iip1
 
   DO ij=ijb,ije
@@ -680,6 +680,6 @@
   ijb=ij_begin-iip1
   ije=ij_end
-  if (pole_nord) ijb=ij_begin
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin
+  IF (pole_sud)  ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -708,8 +708,8 @@
   ijbm=ij_begin-iip1
   ijem=ij_end+iip1
-  if (pole_nord) ijb=ij_begin
-  if (pole_sud)  ije=ij_end
-  if (pole_nord) ijbm=ij_begin
-  if (pole_sud)  ijem=ij_end
+  IF (pole_nord) ijb=ij_begin
+  IF (pole_sud)  ije=ij_end
+  IF (pole_nord) ijbm=ij_begin
+  IF (pole_sud)  ijem=ij_end
 
   !WRITE(lunout,*) 'vlspltqs 737: iq,ijb,ije=',iq,ijb,ije
@@ -731,5 +731,5 @@
         !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         !WRITE(lunout,*) 'ij,l,q(ij,l,iq)=',ij,l,q(ij,l,iq)
-        if (q(ij,l,iq)>min_qParent) then ! modif 13 nov 2020
+        IF (q(ij,l,iq)>min_qParent) then ! modif 13 nov 2020
           Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
         else
@@ -751,6 +751,6 @@
   ijb=ij_begin
   ije=ij_end
-  if (pole_nord) ijb=ij_begin+iip1
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord) ijb=ij_begin+iip1
+  IF (pole_sud)  ije=ij_end-iip1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.f90	(revision 5117)
@@ -24,5 +24,5 @@
   INTEGER :: im, jm, lm, i, j, l, iv, iii, iji, iif, ijf
 
-  logical :: writectl
+  LOGICAL :: writectl
 
   writectl = .FALSE.
@@ -63,5 +63,5 @@
   else
     ivar(if) = mod(ivar(if), nvar(if)) + 1
-    if (ivar(if)==nvar(if)) THEN
+    IF (ivar(if)==nvar(if)) THEN
       writectl = .TRUE.
       itime(if) = itime(if) + 1
@@ -77,5 +77,5 @@
       CALL abort_gcm("wrgrads", "problem", 1)
     endif
-  endif
+  ENDIF
 
   PRINT*, 'ivar(if),nvar(if),var(ivar(if),if),writectl'
@@ -90,5 +90,5 @@
                     , i = iii, iif), j = iji, ijf)
   enddo
-  if (writectl) THEN
+  IF (writectl) THEN
     file = fichier(if)
     !   WARNING! on reecrase le fichier .ctl a chaque ecriture
@@ -118,5 +118,5 @@
     close(unit(if))
 
-  endif ! writectl
+  ENDIF ! writectl
 
 END SUBROUTINE wrgrads
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90	(revision 5117)
@@ -14,5 +14,5 @@
   SUBROUTINE write_field1D_u(name,Field)
     CHARACTER(LEN=*)   :: name
-    real, dimension(:) :: Field
+    REAL, DIMENSION(:) :: Field
 
     CALL write_field_u_gen(name,Field,1)
@@ -24,5 +24,5 @@
       
     CHARACTER(LEN=*)   :: name
-    real, dimension(:,:) :: Field
+    REAL, DIMENSION(:,:) :: Field
     INTEGER :: ll
     
@@ -35,5 +35,5 @@
    SUBROUTINE write_field_u_gen(name,Field,ll)
     USE parallel_lmdz
-    USE write_field
+    USE lmdz_write_field
     USE mod_hallo
     IMPLICIT NONE
@@ -42,7 +42,7 @@
       
     CHARACTER(LEN=*)   :: name
-    real, dimension(ijb_u:ije_u,ll) :: Field
-    real, allocatable,SAVE :: New_Field(:,:,:)
-    integer,dimension(0:mpi_size-1) :: jj_nb_master
+    REAL, DIMENSION(ijb_u:ije_u,ll) :: Field
+    REAL, ALLOCATABLE,SAVE :: New_Field(:,:,:)
+    INTEGER,DIMENSION(0:mpi_size-1) :: jj_nb_master
     type(Request),SAVE :: Request_write
 !$OMP THREADPRIVATE(Request_write)
@@ -70,5 +70,5 @@
 
 !$OMP MASTER
-    if (MPI_Rank==0) CALL WriteField(name,New_Field)
+    IF (MPI_Rank==0) CALL WriteField(name,New_Field)
     DEALLOCATE(New_Field)
 !$OMP END MASTER        
@@ -79,5 +79,5 @@
   SUBROUTINE write_field1D_v(name,Field)
     CHARACTER(LEN=*)   :: name
-    real, dimension(:) :: Field
+    REAL, DIMENSION(:) :: Field
 
     CALL write_field_v_gen(name,Field,1)
@@ -89,5 +89,5 @@
       
     CHARACTER(LEN=*)   :: name
-    real, dimension(:,:) :: Field
+    REAL, DIMENSION(:,:) :: Field
     INTEGER :: ll
     
@@ -100,5 +100,5 @@
    SUBROUTINE write_field_v_gen(name,Field,ll)
     USE parallel_lmdz
-    USE write_field
+    USE lmdz_write_field
     USE mod_hallo
     IMPLICIT NONE
@@ -107,7 +107,7 @@
       
     CHARACTER(LEN=*)   :: name
-    real, dimension(ijb_v:ije_v,ll) :: Field
-    real, allocatable,SAVE :: New_Field(:,:,:)
-    integer,dimension(0:mpi_size-1) :: jj_nb_master
+    REAL, DIMENSION(ijb_v:ije_v,ll) :: Field
+    REAL, ALLOCATABLE,SAVE :: New_Field(:,:,:)
+    INTEGER,DIMENSION(0:mpi_size-1) :: jj_nb_master
     type(Request),SAVE :: Request_write
 !$OMP THREADPRIVATE(Request_write)    
@@ -146,5 +146,5 @@
 
 !$OMP MASTER
-    if (MPI_Rank==0) CALL WriteField(name,New_Field)
+    IF (MPI_Rank==0) CALL WriteField(name,New_Field)
     DEALLOCATE(New_Field)
 !$OMP END MASTER        
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_p.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_p.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_p.F90	(revision 5117)
@@ -10,12 +10,12 @@
   SUBROUTINE write_field1D_p(name,Field)
     USE parallel_lmdz
-    USE write_field
+    USE lmdz_write_field
     IMPLICIT NONE
   
-    integer, parameter :: MaxDim=1
+    INTEGER, parameter :: MaxDim=1
     CHARACTER(LEN=*)   :: name
-    real, dimension(:) :: Field
-    real, dimension(:),allocatable :: New_Field
-    integer, dimension(MaxDim) :: Dim
+    REAL, DIMENSION(:) :: Field
+    REAL, DIMENSION(:),ALLOCATABLE :: New_Field
+    INTEGER, DIMENSION(MaxDim) :: Dim
     
     
@@ -25,5 +25,5 @@
     CALL Gather_Field(New_Field,dim(1),1,0)
     
-    if (MPI_Rank==0) CALL WriteField(name,New_Field)
+    IF (MPI_Rank==0) CALL WriteField(name,New_Field)
     
     END SUBROUTINE  write_field1D_p
@@ -31,12 +31,12 @@
   SUBROUTINE write_field2D_p(name,Field)
     USE parallel_lmdz
-    USE write_field
+    USE lmdz_write_field
     IMPLICIT NONE
   
-    integer, parameter :: MaxDim=2
+    INTEGER, parameter :: MaxDim=2
     CHARACTER(LEN=*)   :: name
-    real, dimension(:,:) :: Field
-    real, dimension(:,:),allocatable :: New_Field
-    integer, dimension(MaxDim) :: Dim
+    REAL, DIMENSION(:,:) :: Field
+    REAL, DIMENSION(:,:),ALLOCATABLE :: New_Field
+    INTEGER, DIMENSION(MaxDim) :: Dim
     
     Dim=shape(Field)
@@ -45,5 +45,5 @@
     CALL Gather_Field(New_Field(1,1),dim(1)*dim(2),1,0)
     
-    if (MPI_Rank==0) CALL WriteField(name,New_Field)
+    IF (MPI_Rank==0) CALL WriteField(name,New_Field)
     
      
@@ -52,12 +52,12 @@
   SUBROUTINE write_field3D_p(name,Field)
     USE parallel_lmdz
-    USE write_field
+    USE lmdz_write_field
     IMPLICIT NONE
   
-    integer, parameter :: MaxDim=3
+    INTEGER, parameter :: MaxDim=3
     CHARACTER(LEN=*)   :: name
-    real, dimension(:,:,:) :: Field
-    real, dimension(:,:,:),allocatable :: New_Field
-    integer, dimension(MaxDim) :: Dim
+    REAL, DIMENSION(:,:,:) :: Field
+    REAL, DIMENSION(:,:,:),ALLOCATABLE :: New_Field
+    INTEGER, DIMENSION(MaxDim) :: Dim
     
     Dim=shape(Field)
@@ -66,5 +66,5 @@
     CALL Gather_Field(New_Field(1,1,1),dim(1)*dim(2),dim(3),0)
     
-   if (MPI_Rank==0) CALL WriteField(name,New_Field)
+   IF (MPI_Rank==0) CALL WriteField(name,New_Field)
     
   END SUBROUTINE  write_field3D_p
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90	(revision 5117)
@@ -8,5 +8,5 @@
   USE misc_mod
   USE infotrac, ONLY: nqtot
-  use com_io_dyn_mod, ONLY: histaveid, histvaveid, histuaveid
+  USE com_io_dyn_mod, ONLY: histaveid, histvaveid, histuaveid
   USE comconst_mod, ONLY: cpp
   USE temps_mod, ONLY: itau_dyn
@@ -47,5 +47,5 @@
   REAL phis(ijb_u:ije_u)
   REAL q(ijb_u:ije_u, llm, nqtot)
-  integer time
+  INTEGER time
 
 
@@ -57,6 +57,6 @@
   REAL, SAVE, ALLOCATABLE :: vnat(:, :), unat(:, :)
   REAL, SAVE, ALLOCATABLE :: vbuffer(:, :)
-  logical ok_sync
-  integer itau_w
+  LOGICAL ok_sync
+  INTEGER itau_w
   INTEGER :: ijb, ije, jjn
   LOGICAL, SAVE :: first = .TRUE.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.f90	(revision 5117)
@@ -9,5 +9,5 @@
   USE misc_mod
   USE infotrac, ONLY: nqtot
-  use com_io_dyn_mod, ONLY: histaveid, histvaveid, histuaveid
+  USE com_io_dyn_mod, ONLY: histaveid, histvaveid, histuaveid
   USE comconst_mod, ONLY: cpp
   USE temps_mod, ONLY: itau_dyn
@@ -67,5 +67,5 @@
   REAL, SAVE, ALLOCATABLE :: tm(:, :)
   REAL, SAVE, ALLOCATABLE :: vnat(:, :), unat(:, :)
-  logical :: ok_sync
+  LOGICAL :: ok_sync
   INTEGER :: itau_w
   INTEGER :: ijb, ije, jjn
@@ -76,5 +76,5 @@
   !  Initialisations
   !
-  if (adjust) return
+  IF (adjust) return
 
   IF (first) THEN
@@ -121,6 +121,6 @@
   !
   ije = ij_end
-  if (pole_sud) jjn = jj_nb - 1
-  if (pole_sud) ije = ij_end - iip1
+  IF (pole_sud) jjn = jj_nb - 1
+  IF (pole_sud) ije = ij_end - iip1
   !$OMP BARRIER
   !$OMP MASTER
@@ -209,5 +209,5 @@
   !
   !$OMP MASTER
-  if (ok_sync) THEN
+  IF (ok_sync) THEN
     CALL histsync(histaveid)
     CALL histsync(histvaveid)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.f90	(revision 5117)
@@ -6,5 +6,5 @@
   USE misc_mod
   USE infotrac, ONLY: nqtot
-  use com_io_dyn_mod, ONLY: histid, histvid, histuid
+  USE com_io_dyn_mod, ONLY: histid, histvid, histuid
   USE comconst_mod, ONLY: cpp
   USE temps_mod, ONLY: itau_dyn
@@ -64,5 +64,5 @@
   REAL, SAVE, ALLOCATABLE :: tm(:, :)
   REAL, SAVE, ALLOCATABLE :: vnat(:, :), unat(:, :)
-  logical :: ok_sync
+  LOGICAL :: ok_sync
   INTEGER :: itau_w
   INTEGER :: ijb, ije, jjn
@@ -73,5 +73,5 @@
   !  Initialisations
   !
-  if (adjust) return
+  IF (adjust) return
 
   IF (first) THEN
@@ -118,6 +118,6 @@
   !
   ije = ij_end
-  if (pole_sud) jjn = jj_nb - 1
-  if (pole_sud) ije = ij_end - iip1
+  IF (pole_sud) jjn = jj_nb - 1
+  IF (pole_sud) ije = ij_end - iip1
   !$OMP BARRIER
   !$OMP MASTER
@@ -205,9 +205,9 @@
   !
   !$OMP MASTER
-  if (ok_sync) THEN
+  IF (ok_sync) THEN
     CALL histsync(histid)
     CALL histsync(histvid)
     CALL histsync(histuid)
-  endif
+  ENDIF
   !$OMP END MASTER
 END SUBROUTINE writehist_loc
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90	(revision 5117)
@@ -299,5 +299,5 @@
   !   convergence dynamique pour les traceurs "EAU"
   ! Earth-specific treatment of first 2 tracers (water)
-   if (planet_type=="earth") THEN
+   IF (planet_type=="earth") THEN
     DO iq=1,2
      DO l=1,llm
@@ -479,6 +479,6 @@
 
      jH_cur_split=jH_cur+(isplit-1) * dtvr / (daysec *nsplit_phys)
-     debut_split=debut.and.isplit==1
-     lafin_split=lafin.and.isplit==nsplit_phys
+     debut_split=debut.AND.isplit==1
+     lafin_split=lafin.AND.isplit==nsplit_phys
 
    ! if (planet_type=="earth") THEN
@@ -493,5 +493,5 @@
           zdufi,zdvfi,zdtfi,zdqfi,zdpsrf)
 
-   ! else if ( planet_type=="generic" ) THEN
+   ! ELSE IF ( planet_type=="generic" ) THEN
    !    CALL physiq (ngridmx,     !! ngrid
   ! .             llm,            !! nlayer
@@ -518,5 +518,5 @@
   ! .             tracerdyn)      !! tracerdyn <-- utilite ???
 
-  !  endif ! of if (planet_type=="earth")
+  !  ENDIF ! of if (planet_type=="earth")
 
      zufi(:,:)=zufi(:,:)+zdufi(:,:)*zdt_split
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/grid_atob_m.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/grid_atob_m.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/grid_atob_m.f90	(revision 5117)
@@ -244,11 +244,11 @@
   WHERE(cham2tmp<0.001) cham2tmp=0.001
   CALL fine2coarse(xtmp,ytmp,xmod,ymod,out,REAL(LOG(cham2tmp)))
-  out=EXP(out)
-  amin=MINVAL(out); amax=MAXVAL(out)
+  out=EXP(OUT)
+  amin=MINVAL(OUT); amax=MAXVAL(OUT)
   PRINT*, 'Ecart-type du modele:', amin, amax
   out=out/amax*20.0
-  amin=MINVAL(out); amax=MAXVAL(out)
+  amin=MINVAL(OUT); amax=MAXVAL(OUT)
   PRINT*, 'Longueur de rugosite du modele:', amin, amax
-  rugs=REAL(out)
+  rugs=REAL(OUT)
 
 END SUBROUTINE rugsoro
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/inigeomphy_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 5117)
@@ -23,5 +23,5 @@
                                  south_west, south_east
   USE mod_interface_dyn_phys, ONLY:  init_interface_dyn_phys
-  USE nrtype, ONLY: pi
+  USE lmdz_physical_constants, ONLY: pi
   USE comvert_mod, ONLY: preff, ap, bp, aps, bps, presnivs, &
                          scaleheight, pseudoalt, presinter
@@ -144,5 +144,5 @@
         boundslonfi_glo(k,north_east)=rlonu(i)
         boundslatfi_glo(k,north_east)=rlatv(j-1)
-        if (i==1) THEN
+        IF (i==1) THEN
           ! special case for the first longitude's west bound
           boundslonfi_glo(k,north_west)=rlonu(iim)-2*PI
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5117)
@@ -40,5 +40,5 @@
     USE parallel_lmdz,ONLY:omp_chunk,using_mpi,jjb_u,jje_u,jjb_v,jje_v &
           ,jj_begin_dyn=>jj_begin,jj_end_dyn=>jj_end
-    USE Write_Field
+    USE lmdz_write_field
     Use Write_field_p
     USE Times
@@ -188,5 +188,5 @@
   ! J'ai été surpris au début que les tableaux zufi_omp, zdufi_omp n'co soitent
   ! en SAVE. Je crois comprendre que c'est parce que tu voulais qu'il
-  ! soit allocatable (plutot par exemple que de passer une dimension
+  ! soit ALLOCATABLE (plutot par exemple que de passer une dimension
   ! dépendant du process en argument des routines) et que, du coup,
   ! le SAVE évite d'avoir à refaire l'allocation à chaque appel.
@@ -222,8 +222,8 @@
 !$OMP THREADPRIVATE(firstcal,debut)
 
-  REAL,SAVE,dimension(1:iim,1:llm):: du_send,du_recv,dv_send,dv_recv
+  REAL,SAVE,DIMENSION(1:iim,1:llm):: du_send,du_recv,dv_send,dv_recv
   INTEGER :: ierr
-  INTEGER,dimension(MPI_STATUS_SIZE,4) :: Status
-  INTEGER, dimension(4) :: Req
+  INTEGER,DIMENSION(MPI_STATUS_SIZE,4) :: Status
+  INTEGER, DIMENSION(4) :: Req
   REAL,ALLOCATABLE,SAVE:: zdufi2(:,:),zdvfi2(:,:)
   INTEGER :: k,kstart,kend
@@ -412,6 +412,6 @@
   kend=klon
 
-  if (is_north_pole_dyn) kstart=2
-  if (is_south_pole_dyn) kend=klon-1
+  IF (is_north_pole_dyn) kstart=2
+  IF (is_south_pole_dyn) kend=klon-1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -423,5 +423,5 @@
       i=index_i(ig0)
       j=index_j(ig0)
-      if (i==1) THEN
+      IF (i==1) THEN
         zufi(ig0,l)= 0.5 *(  pucov(iim,j,l)/cu(iim,j) &
               + pucov(1,j,l)/cu(1,j) )
@@ -440,6 +440,6 @@
   jjb=jj_begin_dyn-1
   jje=jj_end_dyn+1
-  if (is_north_pole_dyn) jjb=1
-  if (is_south_pole_dyn) jje=jjm
+  IF (is_north_pole_dyn) jjb=1
+  IF (is_south_pole_dyn) jje=jjm
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -469,5 +469,5 @@
       zvfi(ig0,l)= 0.5 *(  pvcov(i,j-1,l)/cv(i,j-1) &
             + pvcov(i,j,l)/cv(i,j) )
-      if (j==1 .OR. j==jjp1) then !  AdlC MAY 2014
+      IF (j==1 .OR. j==jjp1) then !  AdlC MAY 2014
         zrfi(ig0,l) = 0 !  AdlC MAY 2014
       else
@@ -491,5 +491,5 @@
      ! V = 1 / pi  *  integrale [ v * sin(long) * d long ]
 
-  if (is_north_pole_dyn) THEN
+  IF (is_north_pole_dyn) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,llm
@@ -511,5 +511,5 @@
     ENDDO
 !$OMP END DO NOWAIT
-  endif
+  ENDIF
 
 
@@ -519,5 +519,5 @@
      ! V = 1 / pi  *  integrale [ v * sin(long) * d long ]
 
-  if (is_south_pole_dyn) THEN
+  IF (is_south_pole_dyn) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,llm
@@ -538,5 +538,5 @@
     ENDDO
 !$OMP END DO NOWAIT
-  endif
+  ENDIF
 
   ! On change de grille, dynamique vers physiq, pour le flux de masse verticale
@@ -561,5 +561,5 @@
 
 !$OMP BARRIER
-  if (first_omp) THEN
+  IF (first_omp) THEN
     klon=klon_omp
 
@@ -586,5 +586,5 @@
     allocate(flxwfi_omp(klon,llm))
     first_omp=.FALSE.
-  endif
+  ENDIF
 
 
@@ -708,6 +708,6 @@
 
      jH_cur_split=jH_cur+(isplit-1) * dtvr / (daysec *nsplit_phys)
-     debut_split=debut.and.isplit==1
-     lafin_split=lafin.and.isplit==nsplit_phys
+     debut_split=debut.AND.isplit==1
+     lafin_split=lafin.AND.isplit==nsplit_phys
 
     CALL call_physiq(klon,llm,nqtot,tracers(:)%name, &
@@ -837,5 +837,5 @@
   IF (using_mpi) THEN
 
-  if (MPI_rank>0) THEN
+  IF (MPI_rank>0) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
    DO l=1,llm
@@ -858,7 +858,7 @@
 !$OMP BARRIER
 
-  endif
-
-  if (MPI_rank<MPI_Size-1) THEN
+  ENDIF
+
+  IF (MPI_rank<MPI_Size-1) THEN
 !$OMP BARRIER
 
@@ -872,5 +872,5 @@
 !$OMP END MASTER
 
-  endif
+  ENDIF
 
 !$OMP BARRIER
@@ -879,11 +879,11 @@
 !$OMP MASTER
 !$OMP CRITICAL (MPI)
-  if (MPI_rank>0 .and. MPI_rank< MPI_Size-1) THEN
+  IF (MPI_rank>0 .AND. MPI_rank< MPI_Size-1) THEN
     CALL MPI_WAITALL(4,Req(1),Status,ierr)
-  else if (MPI_rank>0) THEN
+  ELSE IF (MPI_rank>0) THEN
     CALL MPI_WAITALL(2,Req(1),Status,ierr)
-  else if (MPI_rank <MPI_Size-1) THEN
+  ELSE IF (MPI_rank <MPI_Size-1) THEN
     CALL MPI_WAITALL(2,Req(3),Status,ierr)
-  endif
+  ENDIF
 !$OMP END CRITICAL (MPI)
 !$OMP END MASTER
@@ -908,5 +908,5 @@
     pdvfi(:,jj_begin,l)=0
 
-    if (.not. is_south_pole_dyn) THEN
+    IF (.NOT. is_south_pole_dyn) THEN
       pdhfi(:,jj_end:jj_end+1,l)=0
       pdqfi(:,jj_end:jj_end+1,l,:)=0
@@ -921,5 +921,5 @@
     pdpsfi(:,jj_begin)=0
 
-   if (.not. is_south_pole_dyn) THEN
+   IF (.NOT. is_south_pole_dyn) THEN
      pdpsfi(:,jj_end:jj_end+1)=0
    endif
@@ -937,6 +937,6 @@
   kend=klon
 
-  if (is_north_pole_dyn) kstart=2
-  if (is_south_pole_dyn)  kend=klon-1
+  IF (is_north_pole_dyn) kstart=2
+  IF (is_south_pole_dyn)  kend=klon-1
 
   !CDIR ON_ADB(index_i)
@@ -947,8 +947,8 @@
       j=index_j(ig0)
       pdpsfi(i,j) = zdpsrf(ig0)
-      if (i==1) pdpsfi(iip1,j) =  zdpsrf(ig0)
+      IF (i==1) pdpsfi(iip1,j) =  zdpsrf(ig0)
      enddo
 
-    if (is_north_pole_dyn) THEN
+    IF (is_north_pole_dyn) THEN
         DO i=1,iip1
           pdpsfi(i,1)    = zdpsrf(1)
@@ -956,5 +956,5 @@
     endif
 
-    if (is_south_pole_dyn) THEN
+    IF (is_south_pole_dyn) THEN
         DO i=1,iip1
           pdpsfi(i,jjp1) = zdpsrf(klon)
@@ -970,6 +970,6 @@
   kend=klon
 
-  if (is_north_pole_dyn) kstart=2
-  if (is_south_pole_dyn)  kend=klon-1
+  IF (is_north_pole_dyn) kstart=2
+  IF (is_south_pole_dyn)  kend=klon-1
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -983,8 +983,8 @@
       j=index_j(ig0)
       pdhfi(i,j,l) = cpp * zdtfi(ig0,l) / ppk(i,j,l)
-      if (i==1) pdhfi(iip1,j,l) =  cpp * zdtfi(ig0,l) / ppk(i,j,l)
+      IF (i==1) pdhfi(iip1,j,l) =  cpp * zdtfi(ig0,l) / ppk(i,j,l)
      enddo
 
-    if (is_north_pole_dyn) THEN
+    IF (is_north_pole_dyn) THEN
         DO i=1,iip1
           pdhfi(i,1,l)    = cpp *  zdtfi(1,l)      / ppk(i, 1  ,l)
@@ -992,5 +992,5 @@
     endif
 
-    if (is_south_pole_dyn) THEN
+    IF (is_south_pole_dyn) THEN
         DO i=1,iip1
           pdhfi(i,jjp1,l) = cpp *  zdtfi(klon,l)/ ppk(i,jjp1,l)
@@ -1053,5 +1053,5 @@
           j=index_j(ig0)
           pdqfi(i,j,l,iq) = zdqfi(ig0,l,itr)
-          if (i==1) pdqfi(iip1,j,l,iq) = zdqfi(ig0,l,itr)
+          IF (i==1) pdqfi(iip1,j,l,iq) = zdqfi(ig0,l,itr)
         ENDDO
 
@@ -1083,9 +1083,9 @@
        j=index_j(ig0)
 
-       if (i/=iim) THEN
+       IF (i/=iim) THEN
          pdufi(i,j,l)=0.5*(zdufi2(ig0,l)+zdufi2(ig0+1,l))*cu(i,j)
        endif
 
-       if (i==1) THEN
+       IF (i==1) THEN
           pdufi(iim,j,l)=0.5*(  zdufi2(ig0,l) &
                 + zdufi2(ig0+iim-1,l))*cu(iim,j)
@@ -1095,5 +1095,5 @@
      enddo
 
-     if (is_north_pole_dyn) THEN
+     IF (is_north_pole_dyn) THEN
        DO i=1,iip1
         pdufi(i,1,l)    = 0.
@@ -1101,5 +1101,5 @@
      endif
 
-     if (is_south_pole_dyn) THEN
+     IF (is_south_pole_dyn) THEN
        DO i=1,iip1
         pdufi(i,jjp1,l) = 0.
@@ -1116,6 +1116,6 @@
   kend=klon
 
-  if (is_north_pole_dyn) kstart=2
-  if (is_south_pole_dyn)  kend=klon-1-iim
+  IF (is_north_pole_dyn) kstart=2
+  IF (is_south_pole_dyn)  kend=klon-1-iim
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -1128,5 +1128,5 @@
        j=index_j(ig0)
        pdvfi(i,j,l)=0.5*(zdvfi2(ig0,l)+zdvfi2(ig0+iim,l))*cv(i,j)
-       if (i==1) pdvfi(iip1,j,l) = 0.5*(zdvfi2(ig0,l)+ &
+       IF (i==1) pdvfi(iip1,j,l) = 0.5*(zdvfi2(ig0,l)+ &
              zdvfi2(ig0+iim,l)) &
              *cv(i,j)
@@ -1141,5 +1141,5 @@
    ! v = U * cos(long) + V * SIN(long)
 
-  if (is_north_pole_dyn) THEN
+  IF (is_north_pole_dyn) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,llm
@@ -1158,7 +1158,7 @@
 !$OMP END DO NOWAIT
 
-  endif
-
-  if (is_south_pole_dyn) THEN
+  ENDIF
+
+  IF (is_south_pole_dyn) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
      DO l=1,llm
@@ -1177,5 +1177,5 @@
 !$OMP END DO NOWAIT
 
-  endif
+  ENDIF
   !-----------------------------------------------------------------------
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_gr_fi_dyn_p.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_gr_fi_dyn_p.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_gr_fi_dyn_p.F90	(revision 5117)
@@ -27,5 +27,5 @@
         j=index_j(ig)
         pdyn(i,j,ifield)=pfi(ig,ifield)
-        if (i==1) pdyn(im,j,ifield)=pdyn(i,j,ifield)
+        IF (i==1) pdyn(im,j,ifield)=pdyn(i,j,ifield)
       ENDDO
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/mod_interface_dyn_phys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/mod_interface_dyn_phys.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/mod_interface_dyn_phys.F90	(revision 5117)
@@ -3,6 +3,6 @@
 
 MODULE mod_interface_dyn_phys
-  INTEGER,SAVE,dimension(:),allocatable :: index_i
-  INTEGER,SAVE,dimension(:),allocatable :: index_j
+  INTEGER,SAVE,DIMENSION(:),ALLOCATABLE :: index_i
+  INTEGER,SAVE,DIMENSION(:),ALLOCATABLE :: index_j
   
   
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phydev/iniphysiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phydev/iniphysiq_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phydev/iniphysiq_mod.F90	(revision 5117)
@@ -18,5 +18,5 @@
   USE inifis_mod, ONLY: inifis
   USE phyaqua_mod, ONLY: iniaqua
-  USE nrtype, ONLY: pi
+  USE lmdz_physical_constants, ONLY: pi
   IMPLICIT NONE
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90	(revision 5117)
@@ -69,7 +69,7 @@
 
   !$OMP MASTER
-  if (ok_dyn_xios) THEN
+  IF (ok_dyn_xios) THEN
      CALL xios_get_current_context(dyn3d_ctx_handle)
-  endif
+  ENDIF
   !$OMP END MASTER
 
@@ -99,7 +99,7 @@
 ! switching back to LMDZDYN context
 !$OMP MASTER
-  if (ok_dyn_xios) THEN
+  IF (ok_dyn_xios) THEN
      CALL xios_set_current_context(dyn3d_ctx_handle)
-  endif
+  ENDIF
 !$OMP END MASTER
 
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5117)
@@ -73,5 +73,5 @@
 
 #ifdef CPP_PARA
-  integer ierr
+  INTEGER ierr
 #else
 ! for iniphysiq in serial mode
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5117)
@@ -39,5 +39,5 @@
   USE comvert_mod, ONLY: ap, bp, preff, pressure_exner
   USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn, itau_phy, start_time
-  USE strings_mod, ONLY: strLower
+  USE lmdz_strings, ONLY: strLower
 
   IMPLICIT NONE
@@ -78,4 +78,5 @@
     USE lmdz_filtreg
     USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA
+    USE lmdz_q_sat, ONLY: q_sat
     IMPLICIT NONE
     !-------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 5117)
@@ -539,5 +539,5 @@
   do j=2,jmp1-1
      PRINT*,'avant if ',cos(rlatu(j)),coslat0
-     if (cos(rlatu(j))<coslat0) THEN
+     IF (cos(rlatu(j))<coslat0) THEN
          ! nb de pts affectes par le filtrage de part et d'autre du pt
          ifiltre=(coslat0/cos(rlatu(j))-1.)/2.
@@ -548,12 +548,12 @@
          wwf(ifiltre+1)=(coslat0/cos(rlatu(j))-1.)/2.-ifiltre
          do i=1,imp1-1
-            if (masque(i,j)>0.9) THEN
+            IF (masque(i,j)>0.9) THEN
                ssz=phis(i,j)
                do ifi=1,ifiltre+1
                   ii=i+ifi
-                  if (ii>imp1-1) ii=ii-imp1+1
+                  IF (ii>imp1-1) ii=ii-imp1+1
                   ssz=ssz+wwf(ifi)*phis(ii,j)
                   ii=i-ifi
-                  if (ii<1) ii=ii+imp1-1
+                  IF (ii<1) ii=ii+imp1-1
                   ssz=ssz+wwf(ifi)*phis(ii,j)
                enddo
